The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of QEMU: information disclosure via virgl_cmd_get_capset_info

Synthesis of the vulnerability 

A local attacker, inside a guest system, can read a memory fragment via virgl_cmd_get_capset_info() of QEMU, in order to obtain sensitive information on the host system.
Impacted systems: Fedora, openSUSE Leap, QEMU, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this alert: 1/4.
Creation date: 06/12/2016.
Références of this alert: CVE-2016-9845, FEDORA-2017-12394e2cc7, FEDORA-2017-b953d4d3a4, openSUSE-SU-2017:0194-1, SUSE-SU-2017:0127-1, USN-3261-1, VIGILANCE-VUL-21269.

Description of the vulnerability 

A local attacker, inside a guest system, can read a memory fragment via virgl_cmd_get_capset_info() of QEMU, in order to obtain sensitive information on the host system.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability note impacts software or systems such as Fedora, openSUSE Leap, QEMU, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this cybersecurity vulnerability is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer threat note.

Solutions for this threat 

QEMU: patch for virgl_cmd_get_capset_info.
A patch is indicated in information sources.

Fedora 24: new qemu packages (26/01/2017).
New packages are available:
  Fedora 24: qemu 2.6.2-6.fc24

Fedora 25: new qemu packages.
New packages are available:
  Fedora 25: qemu 2.7.1-2.fc25

openSUSE Leap: new qemu packages (18/01/2017).
New packages are available:
  openSUSE Leap 42.2: qemu 2.6.2-26.1

SUSE LE 12: new qemu packages.
New packages are available:
  SUSE LE 12 SP2: qemu 2.6.2-39.1

Ubuntu: new qemu-system packages.
New packages are available:
  Ubuntu 14.04 LTS: qemu-system 2.0.0+dfsg-2ubuntu1.33
  Ubuntu 16.04 LTS: qemu-system 1:2.5+dfsg-5ubuntu10.11
  Ubuntu 16.10: qemu-system 1:2.6.1+dfsg-0ubuntu5.4
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer vulnerability bulletin. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.